
Core - Bug # 56554

Status: Resolved Priority: Must have
Author: Ernesto Baschny Category:
Created: 2014-03-04 Assigned To: Ernesto Baschny
Updated: 2014-03-04 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: OpCache XCACHE cannot be cleared if xcache.admin.enable_auth is set
Description

Error:

Fatal error: xcache_clear_cache(): xcache.admin.user and/or xcache.admin.pass settings is not configured. Make sure you've
modified the correct php ini file for your php used in webserver. in
/var/www/git/master/typo3/sysext/core/Classes/Utility/OpcodeCacheUtility.php on line 123
[21:02:00] Christian Kuhn: calling install toll on fresh instance

Solution is to check for xcache.admin.enable_auth.

References in other projects:

https://github.com/owncloud/core/blob/master/lib/private/util.php#L1103
https://github.com/sugarcrm/sugarcrm_dev/blob/master/include/SugarCache/SugarCache.php#L124

We then should add a hint in the install tool about this.

Related issues:
related to Core - Bug # 55252: PHP 5.5 and require LocalConfiguration Resolved 2014-01-22

Associated revisions
Revision 13366617 - 2014-03-04 21:27 - Ernesto Baschny

[BUGFIX] OpCache XCache cannot be cleared if xcache.admin.enable_auth

We can only clear the opcache in XCache if xcache.admin.enable_auth is not
set, else you get a fatal error.

Resolves: #56554
Related: #55252
Releases: 6.2
Change-Id: Ia33afc4141852c58266f6c7dfedec82f4c35148d
Reviewed-on: https://review.typo3.org/28059
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
Reviewed-by: Ernesto Baschny
Tested-by: Ernesto Baschny
History
#1 - 2014-03-04 21:17 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28059

#2 - 2014-03-04 21:25 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28059

#3 - 2014-03-04 21:26 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28059

#4 - 2014-03-04 21:30 - Ernesto Baschny
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1336661741594d8ecb6787fc3644f2b0d5e1366d.
